# FROM debian
# Redundant - It defaults to a debian OS
FROM python:3.6.7

#######################
# Customization start #
#######################

#Add any custom dependencies and/or scripts here

WORKDIR /mnist

COPY mnist_reprolang2020 /mnist

RUN pip3 install -r requirements.txt

ENV INPUT_DIR /input
ENV INPUT_TEST_DIR /input/run_test
ENV OUTPUT_DATASETS_DIR /ouput/datasets
ENV COMPARABLES /output/tables_and_plots

#######################
# Customization end   #
#######################
WORKDIR / 

VOLUME “/input”
VOLUME “/output/datasets”
VOLUME “/output/tables_and_plots”
#Add and set entrypoint
ADD run.sh /run.sh
RUN chmod u+x /run.sh

ENTRYPOINT /run.sh
